Bug 803312 - no auto completion for connect command
no auto completion for connect command
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michael Pasternak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 08:30 EDT by Avihai Shoham
Modified: 2014-01-12 19:36 EST (History)
4 users (show)

See Also:
Fixed In Version: ovirt-engine-cli-2.1.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-03-14 08:30:04 EDT
When trying to auto complete 'connect' command it doesn't gave you all possible completion
a user doesn't know the next available commands

use ovirt-engine-cli-2.1.1-1.
Comment 1 Michael Pasternak 2012-03-14 09:39:51 EDT
workaround is:

[root@lpt21 ovirt-engine-cli (master)]# ovirt-shell --help
Usage: ovirt-shell [options]
       ovirt-shell [options] command...

This program is a command-line interface to oVirt Virtualization.

Options:
  -h, --help            show this help message and exit
  -l URL, --url=URL     specifies the API entry point URL
  -u USERNAME, --username=USERNAME
                        connect as this user
  -p PASSWORD, --password=PASSWORD
                        specify password
  -K KEY_FILE, --key-file=KEY_FILE
                        specify key-file
  -C CERT_FILE, --cert-file=CERT_FILE
                        specify cert-file
  -P PORT, --port=PORT  specify port
  -T TIMEOUT, --timeout=TIMEOUT
                        specify timeout
  -c, --connect         automatically connect
Comment 2 Michael Pasternak 2012-03-15 10:39:07 EDT
fixed in 2.1.4-1
Comment 3 Avihai Shoham 2012-03-22 03:59:54 EDT
fixed in ovirt-engine-cli-2.1.3-1

Note You need to log in before you can comment on or make changes to this bug.